<?php
/*
*
* @link              https://deeppresentation.com
* @since             1.0.0
* @package           Dpit_Api_Tester
*
* @wordpress-plugin
* Plugin Name:       Intro Tour Tutorial - API tester
* Plugin URI:        https://deeppresentation.com/
* Description:       API testing for Intro Tour Tutorial plugin.
* Version:           2.0.0
* Author:            Tomas Groulik <info@deeppresentation.com>
* Author URI:        https://deeppresentation.com
* License:           GPL
* License URI:       http://www.opensource.org/licenses/gpl-license.php
* Text Domain:       dpit-api-tester
* Domain Path:       /languages
*/

// Documentation: https://deeppresentation.com/advanced-integration-with-hooks

add_filter(
	'dpintro_force_load_tours',
	function( array $tours_to_force_start, $current_url ) {
		// enter your code
		//eg: $tours_to_force_start[] = 2497;
		//$tours_to_force_start[] = 4873;
		return $tours_to_force_start;
	},
	10,
	2
);

add_filter(
	'dpintro_unload_tours',
	function( array $tours_to_unload, $current_url ) {
		// enter your code
		//eg: $tours_to_unload[] = 2497;
		//$tours_to_unload[] = 4873;
		return $tours_to_unload;
	},
	10,
	2
);

add_filter(
	'dpintro_sys_url_var',
	function( $sys_url_vars, $tour_id ) {
		// enter your code
		/* eg:*/
		//$sys_url_vars['$my_sys_var']  = 'abc';
		//$sys_url_vars['$my_sys_var2'] = 'cde';
		//$sys_url_vars['$my_sys_var3'] = 'efg';

		return $sys_url_vars;
	},
	10,
	2
);

add_filter(
	'dpintro_script_tour_config',
	function( array $tour_config, int $tour_id, string $current_url ) {
		//your code to adjust tour configuration array eg.
		// if ($tour_id == 1234)

		//$tour_config['properties']['show_step_numbers'] = false;
		return $tour_config;
	},
	10,
	3
);

add_filter(
	'dpintro_script_main_config',
	function( array $main_config, string $current_url ) {
		// your code to adjust main configuration array eg.
		//$main_config['loggedInVisitCnt'] = 0;
		//$main_config['mobile_menu_closer'] = #secondary-menu-toggle;
		return $main_config;
	},
	10,
	2
);


add_action( 'wp_enqueue_scripts', 'dpit_load_api_tester_js' );
add_action( 'admin_enqueue_scripts', 'dpit_load_api_tester_js' );

function dpit_load_api_tester_js() {
	$url = plugin_dir_url( __FILE__ ) . 'api-tester.js';
	wp_enqueue_script( 'dpit_tester-js', $url, [ 'jquery' ], false, true );
}

?>
